import { ref as E, watch as fe, openBlock as c, createElementBlock as m, createElementVNode as h, defineComponent as T, createBlock as L, Transition as je, withCtx as S, normalizeClass as D, resolveDynamicComponent as te, createCommentVNode as k, toDisplayString as q, renderSlot as I, withModifiers as bt, createVNode as U, unref as y, useSlots as St, toRef as pr, computed as g, useAttrs as br, toRefs as vt, onMounted as O, normalizeStyle as Ve, withDirectives as Dt, mergeProps as ge, vModelCheckbox as Bt, Fragment as ee, createTextVNode as re, cloneVNode as vr, h as B, inject as H, provide as Y, watchEffect as Z, onUnmounted as G, Teleport as mr, reactive as gr, shallowRef as yr, nextTick as hr, renderList as Ee, createStaticVNode as wr } from "vue";
const xr = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, kr = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function Ot(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Er = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, Je = Er, mt = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function Tr(e) {
  return e.trim().replace(mt.whitespace, " ");
}
function $r(e) {
  return encodeURIComponent(e).replace(mt.urlHexPairs, Lr);
}
function Cr(e) {
  return Object.keys(Je).forEach(function(t) {
    Je[t].test(e) && (e = e.replace(Je[t], t));
  }), e;
}
function Lr(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function lt(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = Cr(Tr(e)).replace(mt.quotes, "'");
  return "data:image/svg+xml," + $r(t);
}
lt.toSrcset = function(t) {
  return lt(t).replace(/ /g, "%20");
};
var _r = lt, qt = {}, Pt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  function t(a, o) {
    return {
      handler: a,
      config: o
    };
  }
  t.withOptions = function(a, o = () => ({})) {
    const n = function(l) {
      return {
        __options: l,
        handler: a(l),
        config: o(l)
      };
    };
    return n.__isOptionsFunction = !0, n.__pluginFunction = a, n.__configFunction = o, n;
  };
  const r = t;
})(Pt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ r(Pt);
  function r(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const a = t.default;
})(qt);
let et = qt;
var Fr = (et.__esModule ? et : { default: et }).default, Mt = {}, Ut = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, o]) => [
      a,
      t(o)
    ])) : r;
  }
})(Ut);
var Ar = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return o;
    }
  });
  const t = Ut, r = /* @__PURE__ */ a(Ar);
  function a(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  const o = (0, t.cloneDeep)(r.default.theme);
})(Mt);
let tt = Mt;
var zt = (tt.__esModule ? tt : { default: tt }).default;
const Et = /* @__PURE__ */ Ot(zt);
var It = {}, Nt = {}, gt = { exports: {} }, A = String, Rt = function() {
  return { isColorSupported: !1, reset: A, bold: A, dim: A, italic: A, underline: A, inverse: A, hidden: A, strikethrough: A, black: A, red: A, green: A, yellow: A, blue: A, magenta: A, cyan: A, white: A, gray: A, bgBlack: A, bgRed: A, bgGreen: A, bgYellow: A, bgBlue: A, bgMagenta: A, bgCyan: A, bgWhite: A };
};
gt.exports = Rt();
gt.exports.createColors = Rt;
var Sr = gt.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(s, u) {
    for (var d in u)
      Object.defineProperty(s, d, {
        enumerable: !0,
        get: u[d]
      });
  }
  t(e, {
    dim: function() {
      return l;
    },
    default: function() {
      return i;
    }
  });
  const r = /* @__PURE__ */ a(Sr);
  function a(s) {
    return s && s.__esModule ? s : {
      default: s
    };
  }
  let o = /* @__PURE__ */ new Set();
  function n(s, u, d) {
    typeof process < "u" && process.env.JEST_WORKER_ID || d && o.has(d) || (d && o.add(d), console.warn(""), u.forEach((f) => console.warn(s, "-", f)));
  }
  function l(s) {
    return r.default.dim(s);
  }
  const i = {
    info(s, u) {
      n(r.default.bold(r.default.cyan("info")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    },
    warn(s, u) {
      n(r.default.bold(r.default.yellow("warn")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    },
    risk(s, u) {
      n(r.default.bold(r.default.magenta("risk")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    }
  };
})(Nt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return o;
    }
  });
  const t = /* @__PURE__ */ r(Nt);
  function r(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  function a({ version: n, from: l, to: i }) {
    t.default.warn(`${l}-color-renamed`, [
      `As of Tailwind CSS ${n}, \`${l}\` has been renamed to \`${i}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const o = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(It);
let rt = It;
var Dr = (rt.__esModule ? rt : { default: rt }).default;
const ze = _r, Br = Fr, jt = zt, ue = Dr, [Or, { lineHeight: qr }] = jt.fontSize.base, { spacing: ie, borderWidth: Tt, borderRadius: $t } = jt;
function ce(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const Pr = Br.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: r, theme: a }) {
    const o = e.strategy === void 0 ? ["base", "class"] : [e.strategy], n = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": ce(
            a("colors.gray.500", ue.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Tt.DEFAULT,
          "border-radius": $t.none,
          "padding-top": ie[2],
          "padding-right": ie[3],
          "padding-bottom": ie[2],
          "padding-left": ie[3],
          "font-size": Or,
          "line-height": qr,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": ce(
              a("colors.blue.600", ue.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": ce(
              a("colors.blue.600", ue.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: ce(a("colors.gray.500", ue.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${ze(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${ce(
              a("colors.gray.500", ue.gray[500]),
              "--tw-stroke-opacity"
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${ie[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": ie[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": ie[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: ie[4],
          width: ie[4],
          color: ce(a("colors.blue.600", ue.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": ce(
            a("colors.gray.500", ue.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Tt.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": $t.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": ce(
            a("colors.blue.600", ue.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${ze(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${ze(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${ze(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], l = (i) => n.map((s) => s[i] === null ? null : { [s[i]]: s.styles }).filter(Boolean);
    o.includes("base") && t(l("base")), o.includes("class") && r(l("class"));
  };
});
var Mr = Pr;
const Ur = /* @__PURE__ */ Ot(Mr), Co = function({ addBase: e, addComponents: t, theme: r }) {
  for (const [a, o] of Object.entries(xr))
    e({
      ":root": {
        [a]: o
      }
    });
  for (const [a, o] of Object.entries(kr))
    e({
      '[data-context="alternative"]': {
        [a]: o
      }
    });
  Ur({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: r });
}, zr = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, Ir = {
  sans: ["Archivo", ...Et.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Et.fontFamily.serif]
}, Nr = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Rr = {
  4.5: "1.125rem"
}, jr = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, Hr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Vr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, Qr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Wr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Lo = {
  theme: {
    extend: {
      fontFamily: Ir,
      fontSize: Nr,
      lineHeight: Rr,
      colors: zr,
      textColor: jr,
      borderColor: Hr,
      backgroundColor: Vr,
      outlineColor: Qr,
      ringColor: Wr
    }
  }
};
function Ct(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = E(t);
  function o(n, l) {
    const i = Date.now(), s = r, u = l - n, d = () => {
      const f = Date.now() - i, p = Zr(f, n, u, s);
      f < s ? (a.value = Math.floor(p), window.requestAnimationFrame(d)) : a.value = l;
    };
    d();
  }
  return fe(
    e,
    (n) => {
      o(a.value ?? t, n);
    },
    { immediate: !0 }
  ), { value: a };
}
function Zr(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
function Gr(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M434.5-326.152V-762.63q0-19.153 13.174-32.327T480-808.131q19.152 0 32.326 13.174T525.5-762.63v436.478l186.674-186.674q13.674-13.674 32.065-13.294 18.391.381 32.065 14.055 12.674 13.674 13.055 32.065.38 18.391-13.294 32.065l-264 264q-6.717 6.718-14.913 9.816-8.195 3.097-17.152 3.097t-17.152-3.097q-8.196-3.098-14.913-9.816L183.696-448.174q-12.914-12.913-12.914-31.565t12.914-32.326q13.674-13.674 32.445-13.674 18.772 0 32.446 13.674L434.5-326.152Z" })
  ]);
}
function Kr(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M434.5-633.848 247.826-447.174q-13.674 13.674-32.065 13.294-18.391-.381-32.065-14.055-12.674-13.674-13.055-32.065-.38-18.391 13.294-32.065l264-264q6.717-6.718 14.913-9.816 8.195-3.097 17.152-3.097t17.152 3.097q8.196 3.098 14.913 9.816l264.239 264.239q12.914 12.913 12.914 31.565t-12.914 32.326q-13.674 13.674-32.445 13.674-18.772 0-32.446-13.674L525.5-633.848v436.478q0 19.153-13.174 32.327T480-151.869q-19.152 0-32.326-13.174T434.5-197.37v-436.478Z" })
  ]);
}
function Ht(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "m382-362.131 334.696-334.695Q730.37-710.5 749.141-710.5q18.772 0 32.446 13.674t13.674 32.446q0 18.771-13.674 32.445L414.065-264.413Q400.391-250.739 382-250.739t-32.065-13.674L178.413-435.935q-13.674-13.674-13.294-32.445.381-18.772 14.055-32.446T211.62-514.5q18.771 0 32.445 13.674L382-362.131Z" })
  ]);
}
function De(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M480-416.348 287.826-224.174Q275.152-211.5 256-211.5t-31.826-12.674Q211.5-236.848 211.5-256t12.674-31.826L416.348-480 224.174-672.174Q211.5-684.848 211.5-704t12.674-31.826Q236.848-748.5 256-748.5t31.826 12.674L480-543.652l192.174-192.174Q684.848-748.5 704-748.5t31.826 12.674Q748.5-723.152 748.5-704t-12.674 31.826L543.652-480l192.174 192.174Q748.5-275.152 748.5-256t-12.674 31.826Q723.152-211.5 704-211.5t-31.826-12.674L480-416.348Z" })
  ]);
}
function Yr(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M480-74.5q-84.196 0-158.152-31.859-73.957-31.858-128.794-86.695-54.837-54.837-86.695-128.794Q74.499-395.804 74.499-480q0-84.348 34.577-161.924 34.576-77.576 95.152-135.457 60.576-57.88 143.413-87.521 82.837-29.642 179.881-18.359 17.869 2 27.782 13.696 9.914 11.695 10.674 32.087 1.522 63.043 44.75 106.63 43.229 43.587 105.511 46.304 22.435 1.24 34.511 13.435 12.076 12.196 14.033 36.631 2.717 39.608 24.782 65.413 22.065 25.804 61.196 39.087 17.109 6.434 25.924 17.608 8.815 11.174 8.576 28.283 1.283 83.717-29.957 158.315-31.239 74.598-85.837 130.576-54.597 55.979-129.315 88.337Q565.435-74.499 480-74.499Zm0-91q119.13 0 211.359-81.37 92.228-81.369 102.423-207.782-48.565-22.239-76.706-59.881-28.141-37.641-38.38-83.684-75.805-11.718-131.163-66-55.359-54.283-69.316-130.805-75.695-.804-134.043 29-58.348 29.805-98.011 76.511Q206.5-642.804 186-587q-20.5 55.804-20.5 107 0 130.609 91.946 222.554Q349.391-165.5 480-165.5Zm-.478-317.543ZM420-560q25 0 42.5-17.5T480-620q0-25-17.5-42.5T420-680q-25 0-42.5 17.5T360-620q0 25 17.5 42.5T420-560Zm-80 200q25 0 42.5-17.5T400-420q0-25-17.5-42.5T340-480q-25 0-42.5 17.5T280-420q0 25 17.5 42.5T340-360Zm260 40q17 0 28.5-11.5T640-360q0-17-11.5-28.5T600-400q-17 0-28.5 11.5T560-360q0 17 11.5 28.5T600-320Z" })
  ]);
}
function Xr(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M479.945-271.869q19.925 0 33.457-13.479 13.533-13.478 13.533-33.402t-13.478-33.576q-13.478-13.652-33.402-13.652-19.925 0-33.457 13.652-13.533 13.652-13.533 33.576t13.478 33.402q13.478 13.479 33.402 13.479ZM480-439.522q19.152 0 32.326-13.174t13.174-32.326v-154.5q0-19.152-13.174-32.326T480-685.022q-19.152 0-32.326 13.174T434.5-639.522v154.5q0 19.152 13.174 32.326T480-439.522Zm0 367.653q-84.913 0-159.345-32.118t-129.491-87.177q-55.059-55.059-87.177-129.491Q71.869-395.087 71.869-480t32.118-159.345q32.118-74.432 87.177-129.491 55.059-55.059 129.491-87.177Q395.087-888.131 480-888.131t159.345 32.118q74.432 32.118 129.491 87.177 55.059 55.059 87.177 129.491Q888.131-564.913 888.131-480t-32.118 159.345q-32.118 74.432-87.177 129.491-55.059 55.059-129.491 87.177Q564.913-71.869 480-71.869Z" })
  ]);
}
function Jr(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M480-276.413q18.524 0 31.056-12.531 12.531-12.532 12.531-31.056v-156.413q0-18.524-12.531-31.056Q498.524-520 480-520t-31.056 12.531q-12.531 12.532-12.531 31.056V-320q0 18.524 12.531 31.056 12.532 12.531 31.056 12.531Zm0-318.804q19.033 0 31.908-12.875T524.783-640q0-19.033-12.875-31.908T480-684.783q-19.033 0-31.908 12.875T435.217-640q0 19.033 12.875 31.908T480-595.217Zm0 523.348q-84.913 0-159.345-32.118t-129.491-87.177q-55.059-55.059-87.177-129.491Q71.869-395.087 71.869-480t32.118-159.345q32.118-74.432 87.177-129.491 55.059-55.059 129.491-87.177Q395.087-888.131 480-888.131t159.345 32.118q74.432 32.118 129.491 87.177 55.059 55.059 87.177 129.491Q888.131-564.913 888.131-480t-32.118 159.345q-32.118 74.432-87.177 129.491-55.059 55.059-129.491 87.177Q564.913-71.869 480-71.869Z" })
  ]);
}
function ea(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M242.87-72.587q-37.538 0-64.269-26.731-26.732-26.731-26.732-64.269v-394.261q0-37.537 26.732-64.269 26.731-26.731 64.269-26.731h33.543v-73.065q0-84.913 59.457-144.609 59.456-59.696 144.13-59.696 84.674 0 144.13 59.696 59.457 59.696 59.457 144.609v73.065h33.543q37.538 0 64.269 26.731 26.732 26.732 26.732 64.269v394.261q0 37.538-26.732 64.269-26.731 26.731-64.269 26.731H242.87Zm0-91h474.26v-394.261H242.87v394.261ZM480-280.717q33 0 56.5-23.5t23.5-56.5q0-33-23.5-56.5t-56.5-23.5q-33 0-56.5 23.5t-23.5 56.5q0 33 23.5 56.5t56.5 23.5ZM367.413-648.848h225.174v-73.065q0-47.21-32.728-80.257Q527.13-835.217 480-835.217q-47.13 0-79.859 33.047-32.728 33.047-32.728 80.257v73.065ZM242.87-163.587v-394.261 394.261Z" })
  ]);
}
function ta(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M197.37-191.869q-19.153 0-32.327-13.174t-13.174-32.327q0-19.152 13.174-32.326t32.327-13.174H229v-271.869q0-86.109 51.315-153.598 51.315-67.489 134.185-88.207v-26.086q0-27.392 19.054-46.446 19.055-19.055 46.446-19.055t46.446 19.055Q545.5-850.022 545.5-822.63v26.086q83.109 20.718 134.305 88.087Q731-641.087 731-554.739v271.869h31.63q19.153 0 32.327 13.174t13.174 32.326q0 19.153-13.174 32.327t-32.327 13.174H197.37Zm282.869 122.63q-34.196 0-58.533-24.217-24.336-24.218-24.336-58.413h165.5q0 34.195-24.218 58.413-24.217 24.217-58.413 24.217Z" })
  ]);
}
function ra(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M523.587-497.913v-137.304q0-18.525-12.531-31.056-12.532-12.531-31.056-12.531t-31.056 12.531q-12.531 12.531-12.531 31.056v153.5q0 9.195 3.359 17.549 3.358 8.354 10.076 15.038l128.174 128.173q12.195 12.196 30.391 12.196 18.196 0 30.63-12.196 12.435-12.195 12.435-30.63t-12.435-30.87L523.587-497.913ZM480-71.869q-84.913 0-159.345-32.118t-129.491-87.177q-55.059-55.059-87.177-129.491Q71.869-395.087 71.869-480t32.118-159.345q32.118-74.432 87.177-129.491 55.059-55.059 129.491-87.177Q395.087-888.131 480-888.131t159.345 32.118q74.432 32.118 129.491 87.177 55.059 55.059 87.177 129.491Q888.131-564.913 888.131-480t-32.118 159.345q-32.118 74.432-87.177 129.491-55.059 55.059-129.491 87.177Q564.913-71.869 480-71.869ZM480-480Zm-.002 317.13q131.806 0 224.469-92.543Q797.13-347.957 797.13-480t-92.661-224.587q-92.66-92.543-224.467-92.543-131.806 0-224.469 92.543Q162.87-612.043 162.87-480t92.661 224.587q92.66 92.543 224.467 92.543Z" })
  ]);
}
function aa(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M359.522-439.522q-19.152 0-32.326-13.174t-13.174-32.326v-229.065l-65.674 65.674q-12.674 12.674-31.326 12.674t-32.326-12.674q-13.674-13.435-13.674-32.207 0-18.771 13.434-32.445l143-143q6.718-6.718 14.914-9.816 8.195-3.097 17.152-3.097 8.956 0 17.152 3.097 8.196 3.098 14.913 9.816l143.761 144q13.435 13.674 13.054 31.945-.38 18.272-14.054 31.707-13.435 12.674-31.826 13.054-18.392.381-31.826-13.054l-65.674-65.674v229.065q0 19.152-13.174 32.326t-32.326 13.174Zm240.956 348.5q-8.956 0-17.152-3.097-8.196-3.098-14.913-9.816l-143.761-144q-13.435-13.674-13.054-31.945.38-18.272 14.054-31.707 13.435-12.674 31.826-13.054 18.392-.381 31.826 13.054l65.674 65.674v-229.065q0-19.152 13.174-32.326t32.326-13.174q19.152 0 32.326 13.174t13.174 32.326v229.065l65.674-65.674q12.674-12.674 31.326-12.674t32.326 12.674q13.674 13.435 13.674 32.207 0 18.771-13.434 32.445l-143 143q-6.718 6.718-14.914 9.816-8.195 3.097-17.152 3.097Z" })
  ]);
}
function na(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M480-71.87q-84.913 0-159.348-32.097-74.435-32.098-129.511-87.174-55.076-55.076-87.174-129.511Q71.869-395.087 71.869-480q0-84.913 32.098-159.348 32.098-74.435 87.174-129.511 55.076-55.076 129.511-87.174Q395.087-888.131 480-888.131q45.609 0 89.315 9.924 43.707 9.924 84.272 29.011 16.913 8 22.13 26.152 5.218 18.153-5.739 34.066-10.956 16.152-29.848 21.108-18.891 4.957-37.282-3.043-29.131-12.609-60.283-19.413T480-797.13q-131.804 0-224.467 92.543Q162.87-612.043 162.87-480t92.663 224.587Q348.196-162.87 480-162.87q131.565 0 224.348-92.424 92.782-92.423 92.782-223.749 0-6.087-.38-11.794-.38-5.706-1.141-11.793-1.522-19.631 8.413-36.685 9.935-17.055 29.087-22.533 18.391-5.239 34.065 4.196 15.674 9.435 17.674 27.826 1.761 12.326 2.522 24.533.761 12.206.761 25.293 0 84.913-32.098 159.348-32.098 74.435-87.174 129.511-55.076 55.076-129.511 87.174Q564.913-71.869 480-71.869Zm-56.717-344.5 370.804-371.804q12.435-12.435 30.967-12.815 18.533-.381 31.729 12.815 12.435 12.435 12.435 31.348 0 18.913-12.435 31.348L455.348-323.283q-13.674 13.674-32.065 13.674-18.392 0-32.066-13.674L280.804-433.696q-12.434-12.434-12.434-31.228 0-18.793 12.434-31.228 12.435-12.435 31.348-12.435 18.913 0 31.348 12.435l79.783 79.782Z" })
  ]);
}
function oa(e, t) {
  return c(), m("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    h("path", { d: "M111.63-115.935q-12.673 0-22.89-6.289-10.216-6.289-15.892-16.58Q67.13-149 66.63-160.958t6.218-23.346L440.217-820q6.718-11.435 17.557-17.033 10.84-5.597 22.251-5.597 11.41 0 22.225 5.597 10.815 5.598 17.533 17.033l367.369 635.696q6.718 11.388 6.218 23.346t-6.218 22.154q-5.717 10.195-15.913 16.532-10.196 6.337-22.869 6.337H111.63ZM480-240.717q17.239 0 29.217-11.979 11.979-11.978 11.979-29.217 0-17.239-11.979-29.098Q497.239-322.87 480-322.87q-17.239 0-29.217 11.859-11.979 11.859-11.979 29.098 0 17.239 11.979 29.217 11.978 11.979 29.217 11.979ZM480-360q17 0 28.5-11.5T520-400v-117.37q0-17-11.5-28.5t-28.5-11.5q-17 0-28.5 11.5t-11.5 28.5V-400q0 17 11.5 28.5T480-360Z" })
  ]);
}
const la = { class: "bcc-alert-content" }, ia = {
  key: 0,
  class: "bcc-alert-title"
}, _o = /* @__PURE__ */ T({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = {
      info: {
        class: "",
        icon: Jr
      },
      success: {
        class: "bcc-alert-success",
        icon: na
      },
      warning: {
        class: "bcc-alert-warning",
        icon: oa
      },
      danger: {
        class: "bcc-alert-danger",
        icon: Xr
      },
      neutral: {
        class: "bcc-alert-neutral",
        icon: ta
      }
    };
    return (a, o) => (c(), L(je, { name: "bcc-fade" }, {
      default: S(() => [
        a.open ? (c(), m("div", {
          key: 0,
          class: D(["bcc-alert", r[a.context].class])
        }, [
          a.icon ? (c(), L(te(typeof a.icon == "boolean" ? r[a.context].icon : a.icon), {
            key: 0,
            class: "bcc-alert-icon"
          })) : k("", !0),
          h("div", la, [
            a.title ? (c(), m("h3", ia, q(a.title), 1)) : k("", !0),
            h("p", null, [
              I(a.$slots, "default")
            ])
          ]),
          a.closeButton ? (c(), m("button", {
            key: 1,
            onClick: o[0] || (o[0] = bt((n) => t("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            U(y(De), { class: "bcc-alert-close-icon" })
          ])) : k("", !0)
        ], 2)) : k("", !0)
      ]),
      _: 3
    }));
  }
}), Fo = /* @__PURE__ */ T({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (c(), m("div", {
      class: D(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, q(t.initials.slice(0, 2)), 3));
  }
}), sa = { class: "order-2" }, ua = /* @__PURE__ */ T({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (c(), m("div", {
      class: D(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), L(te(t.icon), {
        key: 0,
        class: D(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : k("", !0),
      h("span", sa, [
        I(t.$slots, "default")
      ])
    ], 2));
  }
}), He = /* @__PURE__ */ T({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    center: { type: Boolean, default: !0 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = St(), a = t.icon !== void 0 && !r.default, o = {
      xs: "bcc-button-xs",
      sm: "bcc-button-sm",
      base: "",
      lg: "bcc-button-lg",
      xl: "bcc-button-xl"
    }, n = {
      primary: "bcc-button-primary",
      secondary: "bcc-button-secondary",
      tertiary: "bcc-button-tertiary"
    }, l = {
      default: "",
      danger: "bcc-button-danger"
    };
    return (i, s) => (c(), L(te(i.is), {
      disabled: i.disabled,
      class: D(["bcc-button", [
        o[i.size],
        n[i.variant],
        l[i.context],
        {
          "bcc-button-no-padding": !i.padding,
          "bcc-button-icon-only": y(a),
          "bcc-button-rounded": i.rounded,
          "bcc-button-center": i.center
        }
      ]])
    }, {
      default: S(() => [
        i.icon ? (c(), L(te(i.icon), {
          key: 0,
          class: "bcc-button-icon order-2"
        })) : k("", !0),
        i.$slots.default ? (c(), m("span", {
          key: 1,
          class: D([i.iconRight ? "order-1" : "order-3"])
        }, [
          I(i.$slots, "default")
        ], 2)) : k("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), ca = /* @__PURE__ */ h("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), da = ["stroke-dashoffset"], fa = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, pa = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, Ao = /* @__PURE__ */ T({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = Ct(
      pr(t, "used"),
      t.used,
      t.animationDuration
    ), a = g(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: o } = Ct(
      a,
      a.value,
      t.animationDuration
    ), n = Math.PI * 18 * 2;
    return (l, i) => (c(), m("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: D(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": l.size == "lg",
        "bcc-capacity-indicator-open": l.total == -1 || y(o) >= 0 && y(o) < 50,
        "bcc-capacity-indicator-warning": y(o) >= 50 && y(o) < 100,
        "bcc-capacity-indicator-full": y(o) >= 100
      }])
    }, [
      ca,
      y(o) > -1 ? (c(), m("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": n,
        "stroke-dashoffset": n * ((100 - y(o)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, da)) : k("", !0),
      y(o) > -1 ? (c(), m("text", fa, q(y(o) < 100 ? l.total - y(r) : 0), 1)) : (c(), m("path", pa))
    ], 2));
  }
});
function Qe() {
  const e = br(), t = g(() => {
    const r = {};
    for (const a in e)
      a !== "class" && a !== "style" && (r[a] = e[a]);
    return r;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
let ba = 0;
function va() {
  return ++ba;
}
function We() {
  return va();
}
const ma = ["disabled"], ga = {
  inheritAttrs: !1
}, So = /* @__PURE__ */ T({
  ...ga,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, indeterminate: o } = vt(r), n = E(null), l = `bcc-checkbox-${We()}`, i = g({
      get() {
        return !!a.value;
      },
      set(f) {
        t("update:modelValue", f);
      }
    });
    O(() => {
      fe(
        o,
        (f) => {
          if (n.value) {
            const p = n.value;
            p.indeterminate = f;
          }
        },
        { immediate: !0 }
      );
    });
    const { attrs: s, attrsWithoutStyles: u } = Qe(), d = g(() => {
      const f = [];
      return r.disabled && f.push("bcc-checkbox-wrapper-disabled"), s.class && f.push(s.class), f;
    });
    return (f, p) => (c(), m("div", {
      class: D(["bcc-checkbox-wrapper", d.value]),
      style: Ve(f.$attrs.style)
    }, [
      Dt(h("input", ge({
        type: "checkbox",
        class: "bcc-checkbox",
        id: l,
        disabled: f.disabled,
        "onUpdate:modelValue": p[0] || (p[0] = (w) => i.value = w)
      }, y(u), {
        ref_key: "input",
        ref: n
      }), null, 16, ma), [
        [Bt, i.value]
      ]),
      f.label ? (c(), m("label", {
        key: 0,
        for: l
      }, q(f.label), 1)) : k("", !0)
    ], 6));
  }
}), ya = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, ha = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, wa = { class: "bcc-cookie-banner" }, xa = { class: "bcc-cookie-banner-content" }, ka = { class: "bcc-cookie-banner-title" }, Ea = { class: "bcc-cookie-banner-actions" }, Do = /* @__PURE__ */ T({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (c(), m(ee, null, [
      r.showOverlay ? (c(), L(je, {
        key: 0,
        name: "fade"
      }, {
        default: S(() => [
          r.open ? (c(), m("div", ya)) : k("", !0)
        ]),
        _: 1
      })) : k("", !0),
      U(je, { name: "fade-fast" }, {
        default: S(() => [
          r.open ? (c(), m("div", ha, [
            h("div", wa, [
              h("div", xa, [
                h("div", ka, [
                  U(y(Yr), { class: "bcc-cookie-banner-icon" }),
                  h("h4", null, q(r.title), 1)
                ]),
                h("p", null, [
                  I(r.$slots, "default")
                ])
              ]),
              h("div", Ea, [
                U(He, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (o) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: S(() => [
                    re(q(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                U(He, {
                  onClick: a[1] || (a[1] = (o) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: S(() => [
                    re(q(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : k("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), Ta = ["for"], $a = {
  key: 0,
  class: "bcc-form-label-optional"
}, Vt = /* @__PURE__ */ T({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (r, a) => (c(), m("label", {
      class: D(["bcc-form-label", { "bcc-form-label-lg": r.size === "lg" }]),
      for: t.for
    }, [
      h("span", null, [
        I(r.$slots, "default")
      ]),
      r.showOptionalLabel ? (c(), m("span", $a, q(r.optionalLabel), 1)) : k("", !0)
    ], 10, Ta));
  }
}), Qt = /* @__PURE__ */ T({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, r) => (c(), m("span", {
      class: D(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      I(t.$slots, "default")
    ], 2));
  }
}), Ca = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, La = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, _a = /* @__PURE__ */ h("span", {
  class: "sr-only",
  id: "bcc-input-clear-desc"
}, "Clear input", -1), Fa = {
  inheritAttrs: !1
}, Bo = /* @__PURE__ */ T({
  ...Fa,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const r = e, { attrsWithoutStyles: a } = Qe(), o = `bcc-input-${We()}`, n = g(() => r.showOptionalLabel && !r.required);
    function l() {
      t("update:modelValue", ""), t("clear");
    }
    return (i, s) => (c(), m("div", {
      class: D(["bcc-input-container", i.$attrs.class]),
      style: Ve(i.$attrs.style)
    }, [
      i.label || n.value ? (c(), L(Vt, {
        key: 0,
        for: o,
        size: i.size === "lg" ? "lg" : void 0,
        showOptionalLabel: n.value,
        optionalLabel: i.optionalLabel
      }, {
        default: S(() => [
          re(q(i.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : k("", !0),
      h("div", {
        class: D(["bcc-input-wrapper", {
          "bcc-input-sm": i.size === "sm",
          "bcc-input-lg": i.size === "lg"
        }])
      }, [
        i.icon && i.is !== "textarea" ? (c(), m("div", Ca, [
          (c(), L(te(i.icon), {
            class: D(["bcc-input-icon", { "bcc-input-icon-disabled": i.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : k("", !0),
        (c(), L(te(i.is), ge({
          id: o,
          disabled: i.disabled,
          required: i.required,
          class: ["bcc-input", {
            "bcc-input-error": i.state === "error",
            "bcc-input-success": i.state === "success",
            "bcc-input-with-icon": i.icon && i.is !== "textarea",
            "bcc-input-clearable": i.clearable && i.is !== "textarea"
          }],
          value: i.modelValue,
          onInput: s[0] || (s[0] = (u) => t("update:modelValue", u.target.value))
        }, y(a)), null, 16, ["disabled", "required", "class", "value"])),
        i.clearable && i.modelValue && i.is !== "textarea" ? (c(), m("div", La, [
          _a,
          U(y(De), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: l
          })
        ])) : k("", !0)
      ], 2),
      i.$slots.default ? (c(), L(Qt, {
        key: 1,
        state: i.state
      }, {
        default: S(() => [
          I(i.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : k("", !0)
    ], 6));
  }
});
function Q(e, t, ...r) {
  if (e in t) {
    let o = t[e];
    return typeof o == "function" ? o(...r) : o;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((o) => `"${o}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, Q), a;
}
var Te = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(Te || {}), de = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(de || {});
function z({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...o }) {
  var n;
  let l = Zt(a, r), i = Object.assign(o, { props: l });
  if (e || t & 2 && l.static)
    return at(i);
  if (t & 1) {
    let s = (n = l.unmount) == null || n ? 0 : 1;
    return Q(s, { 0() {
      return null;
    }, 1() {
      return at({ ...o, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return at(i);
}
function at({ props: e, attrs: t, slots: r, slot: a, name: o }) {
  var n, l;
  let { as: i, ...s } = yt(e, ["unmount", "static"]), u = (n = r.default) == null ? void 0 : n.call(r, a), d = {};
  if (a) {
    let f = !1, p = [];
    for (let [w, x] of Object.entries(a))
      typeof x == "boolean" && (f = !0), x === !0 && p.push(w);
    f && (d["data-headlessui-state"] = p.join(" "));
  }
  if (i === "template") {
    if (u = Wt(u ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [f, ...p] = u ?? [];
      if (!Aa(f) || p.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${o} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((b) => b.trim()).filter((b, v, C) => C.indexOf(b) === v).sort((b, v) => b.localeCompare(v)).map((b) => `  - ${b}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((b) => `  - ${b}`).join(`
`)].join(`
`));
      let w = Zt((l = f.props) != null ? l : {}, s), x = vr(f, w);
      for (let b in w)
        b.startsWith("on") && (x.props || (x.props = {}), x.props[b] = w[b]);
      return x;
    }
    return Array.isArray(u) && u.length === 1 ? u[0] : u;
  }
  return B(i, Object.assign({}, s, d), { default: () => u });
}
function Wt(e) {
  return e.flatMap((t) => t.type === ee ? Wt(t.children) : [t]);
}
function Zt(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let o in a)
      o.startsWith("on") && typeof a[o] == "function" ? (r[o] != null || (r[o] = []), r[o].push(a[o])) : t[o] = a[o];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](o, ...n) {
      let l = r[a];
      for (let i of l) {
        if (o instanceof Event && o.defaultPrevented)
          return;
        i(o, ...n);
      }
    } });
  return t;
}
function yt(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Aa(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Sa = 0;
function Da() {
  return ++Sa;
}
function se() {
  return Da();
}
var K = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(K || {});
function $(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let Gt = Symbol("Context");
var W = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(W || {});
function Ba() {
  return ht() !== null;
}
function ht() {
  return H(Gt, null);
}
function Oa(e) {
  Y(Gt, e);
}
function Lt(e, t) {
  if (e)
    return e;
  let r = t ?? "button";
  if (typeof r == "string" && r.toLowerCase() === "button")
    return "button";
}
function qa(e, t) {
  let r = E(Lt(e.value.type, e.value.as));
  return O(() => {
    r.value = Lt(e.value.type, e.value.as);
  }), Z(() => {
    var a;
    r.value || $(t) && $(t) instanceof HTMLButtonElement && !((a = $(t)) != null && a.hasAttribute("type")) && (r.value = "button");
  }), r;
}
var Pa = Object.defineProperty, Ma = (e, t, r) => t in e ? Pa(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, _t = (e, t, r) => (Ma(e, typeof t != "symbol" ? t + "" : t, r), r);
class Ua {
  constructor() {
    _t(this, "current", this.detect()), _t(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let Be = new Ua();
function ye(e) {
  if (Be.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = $(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let it = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var M = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(M || {}), ke = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(ke || {}), za = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(za || {});
function Ia(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(it)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var Kt = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(Kt || {});
function Na(e, t = 0) {
  var r;
  return e === ((r = ye(e)) == null ? void 0 : r.body) ? !1 : Q(t, { 0() {
    return e.matches(it);
  }, 1() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(it))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
var Ra = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(Ra || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function me(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let ja = ["textarea", "input"].join(",");
function Ha(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, ja)) != null ? r : !1;
}
function xe(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let o = t(r), n = t(a);
    if (o === null || n === null)
      return 0;
    let l = o.compareDocumentPosition(n);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function ae(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: o = [] } = {}) {
  var n;
  let l = (n = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? n : document, i = Array.isArray(e) ? r ? xe(e) : e : Ia(e);
  o.length > 0 && i.length > 1 && (i = i.filter((x) => !o.includes(x))), a = a ?? l.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), u = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, i.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, i.indexOf(a)) + 1;
    if (t & 8)
      return i.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), d = t & 32 ? { preventScroll: !0 } : {}, f = 0, p = i.length, w;
  do {
    if (f >= p || f + p <= 0)
      return 0;
    let x = u + f;
    if (t & 16)
      x = (x + p) % p;
    else {
      if (x < 0)
        return 3;
      if (x >= p)
        return 1;
    }
    w = i[x], w == null || w.focus(d), f += s;
  } while (w !== l.activeElement);
  return t & 6 && Ha(w) && w.select(), 2;
}
function Ie(e, t, r) {
  Be.isServer || Z((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function Yt(e, t, r) {
  Be.isServer || Z((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
function Va(e, t, r = g(() => !0)) {
  function a(n, l) {
    if (!r.value || n.defaultPrevented)
      return;
    let i = l(n);
    if (i === null || !i.getRootNode().contains(i))
      return;
    let s = function u(d) {
      return typeof d == "function" ? u(d()) : Array.isArray(d) || d instanceof Set ? d : [d];
    }(e);
    for (let u of s) {
      if (u === null)
        continue;
      let d = u instanceof HTMLElement ? u : $(u);
      if (d != null && d.contains(i) || n.composed && n.composedPath().includes(d))
        return;
    }
    return !Na(i, Kt.Loose) && i.tabIndex !== -1 && n.preventDefault(), t(n, i);
  }
  let o = E(null);
  Ie("pointerdown", (n) => {
    var l, i;
    r.value && (o.value = ((i = (l = n.composedPath) == null ? void 0 : l.call(n)) == null ? void 0 : i[0]) || n.target);
  }, !0), Ie("mousedown", (n) => {
    var l, i;
    r.value && (o.value = ((i = (l = n.composedPath) == null ? void 0 : l.call(n)) == null ? void 0 : i[0]) || n.target);
  }, !0), Ie("click", (n) => {
    o.value && (a(n, () => o.value), o.value = null);
  }, !0), Ie("touchend", (n) => a(n, () => n.target instanceof HTMLElement ? n.target : null), !0), Yt("blur", (n) => a(n, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Ae = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Ae || {});
let Se = T({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...o } = e, n = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return z({ ourProps: n, theirProps: o, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function Qa() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Ze(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function Oe() {
  let e = [], t = { addEventListener(r, a, o, n) {
    return r.addEventListener(a, o, n), t.add(() => r.removeEventListener(a, o, n));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, microTask(...r) {
    let a = { current: !0 };
    return Ze(() => {
      a.current && r[0]();
    }), t.add(() => {
      a.current = !1;
    });
  }, style(r, a, o) {
    let n = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: o }), this.add(() => {
      Object.assign(r.style, { [a]: n });
    });
  }, group(r) {
    let a = Oe();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let o of e.splice(a, 1))
          o();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
var Fe = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Fe || {});
function Wa() {
  let e = E(0);
  return Yt("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function Xt(e, t, r, a) {
  Be.isServer || Z((o) => {
    e = e ?? window, e.addEventListener(t, r, a), o(() => e.removeEventListener(t, r, a));
  });
}
function Za(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function Jt(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = $(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var er = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(er || {});
let Le = Object.assign(T({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: E(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = E(null);
  a({ el: o, $el: o });
  let n = g(() => ye(o)), l = E(!1);
  O(() => l.value = !0), G(() => l.value = !1), Ka({ ownerDocument: n }, g(() => l.value && !!(e.features & 16)));
  let i = Ya({ ownerDocument: n, container: o, initialFocus: g(() => e.initialFocus) }, g(() => l.value && !!(e.features & 2)));
  Xa({ ownerDocument: n, container: o, containers: e.containers, previousActiveElement: i }, g(() => l.value && !!(e.features & 8)));
  let s = Wa();
  function u(w) {
    let x = $(o);
    x && ((b) => b())(() => {
      Q(s.value, { [Fe.Forwards]: () => {
        ae(x, M.First, { skipElements: [w.relatedTarget] });
      }, [Fe.Backwards]: () => {
        ae(x, M.Last, { skipElements: [w.relatedTarget] });
      } });
    });
  }
  let d = E(!1);
  function f(w) {
    w.key === "Tab" && (d.value = !0, requestAnimationFrame(() => {
      d.value = !1;
    }));
  }
  function p(w) {
    if (!l.value)
      return;
    let x = Jt(e.containers);
    $(o) instanceof HTMLElement && x.add($(o));
    let b = w.relatedTarget;
    b instanceof HTMLElement && b.dataset.headlessuiFocusGuard !== "true" && (tr(x, b) || (d.value ? ae($(o), Q(s.value, { [Fe.Forwards]: () => M.Next, [Fe.Backwards]: () => M.Previous }) | M.WrapAround, { relativeTo: w.target }) : w.target instanceof HTMLElement && me(w.target)));
  }
  return () => {
    let w = {}, x = { ref: o, onKeydown: f, onFocusout: p }, { features: b, initialFocus: v, containers: C, ...F } = e;
    return B(ee, [!!(b & 4) && B(Se, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ae.Focusable }), z({ ourProps: x, theirProps: { ...t, ...F }, slot: w, attrs: t, slots: r, name: "FocusTrap" }), !!(b & 4) && B(Se, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ae.Focusable })]);
  };
} }), { features: er }), be = [];
Za(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && be[0] !== t.target && (be.unshift(t.target), be = be.filter((r) => r != null && r.isConnected), be.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function Ga(e) {
  let t = E(be.slice());
  return fe([e], ([r], [a]) => {
    a === !0 && r === !1 ? Ze(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = be.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function Ka({ ownerDocument: e }, t) {
  let r = Ga(t);
  O(() => {
    Z(() => {
      var a, o;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((o = e.value) == null ? void 0 : o.body) && me(r());
    }, { flush: "post" });
  }), G(() => {
    t.value && me(r());
  });
}
function Ya({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let o = E(null), n = E(!1);
  return O(() => n.value = !0), G(() => n.value = !1), O(() => {
    fe([t, r, a], (l, i) => {
      if (l.every((u, d) => (i == null ? void 0 : i[d]) === u) || !a.value)
        return;
      let s = $(t);
      s && Ze(() => {
        var u, d;
        if (!n.value)
          return;
        let f = $(r), p = (u = e.value) == null ? void 0 : u.activeElement;
        if (f) {
          if (f === p) {
            o.value = p;
            return;
          }
        } else if (s.contains(p)) {
          o.value = p;
          return;
        }
        f ? me(f) : ae(s, M.First | M.NoScroll) === ke.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), o.value = (d = e.value) == null ? void 0 : d.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), o;
}
function Xa({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, o) {
  var n;
  Xt((n = e.value) == null ? void 0 : n.defaultView, "focus", (l) => {
    if (!o.value)
      return;
    let i = Jt(r);
    $(t) instanceof HTMLElement && i.add($(t));
    let s = a.value;
    if (!s)
      return;
    let u = l.target;
    u && u instanceof HTMLElement ? tr(i, u) ? (a.value = u, me(u)) : (l.preventDefault(), l.stopPropagation(), me(s)) : me(a.value);
  }, !0);
}
function tr(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let nt = /* @__PURE__ */ new Map(), _e = /* @__PURE__ */ new Map();
function Ft(e, t = E(!0)) {
  Z((r) => {
    var a;
    if (!t.value)
      return;
    let o = $(e);
    if (!o)
      return;
    r(function() {
      var l;
      if (!o)
        return;
      let i = (l = _e.get(o)) != null ? l : 1;
      if (i === 1 ? _e.delete(o) : _e.set(o, i - 1), i !== 1)
        return;
      let s = nt.get(o);
      s && (s["aria-hidden"] === null ? o.removeAttribute("aria-hidden") : o.setAttribute("aria-hidden", s["aria-hidden"]), o.inert = s.inert, nt.delete(o));
    });
    let n = (a = _e.get(o)) != null ? a : 0;
    _e.set(o, n + 1), n === 0 && (nt.set(o, { "aria-hidden": o.getAttribute("aria-hidden"), inert: o.inert }), o.setAttribute("aria-hidden", "true"), o.inert = !0);
  });
}
let rr = Symbol("ForcePortalRootContext");
function Ja() {
  return H(rr, !1);
}
let st = T({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return Y(rr, e.force), () => {
    let { force: a, ...o } = e;
    return z({ theirProps: o, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function en(e) {
  let t = ye(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let ar = T({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = E(null), o = g(() => ye(a)), n = Ja(), l = H(nr, null), i = E(n === !0 || l == null ? en(a.value) : l.resolveTarget());
  Z(() => {
    n || l != null && (i.value = l.resolveTarget());
  });
  let s = H(ut, null);
  return O(() => {
    let u = $(a);
    u && s && G(s.register(u));
  }), G(() => {
    var u, d;
    let f = (u = o.value) == null ? void 0 : u.getElementById("headlessui-portal-root");
    f && i.value === f && i.value.children.length <= 0 && ((d = i.value.parentElement) == null || d.removeChild(i.value));
  }), () => {
    if (i.value === null)
      return null;
    let u = { ref: a, "data-headlessui-portal": "" };
    return B(mr, { to: i.value }, z({ ourProps: u, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), ut = Symbol("PortalParentContext");
function tn() {
  let e = H(ut, null), t = E([]);
  function r(n) {
    return t.value.push(n), e && e.register(n), () => a(n);
  }
  function a(n) {
    let l = t.value.indexOf(n);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(n);
  }
  let o = { register: r, unregister: a, portals: t };
  return [t, T({ name: "PortalWrapper", setup(n, { slots: l }) {
    return Y(ut, o), () => {
      var i;
      return (i = l.default) == null ? void 0 : i.call(l);
    };
  } })];
}
let nr = Symbol("PortalGroupContext"), rn = T({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = gr({ resolveTarget() {
    return e.target;
  } });
  return Y(nr, a), () => {
    let { target: o, ...n } = e;
    return z({ theirProps: n, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), or = Symbol("StackContext");
var ct = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(ct || {});
function an() {
  return H(or, () => {
  });
}
function nn({ type: e, enabled: t, element: r, onUpdate: a }) {
  let o = an();
  function n(...l) {
    a == null || a(...l), o(...l);
  }
  O(() => {
    fe(t, (l, i) => {
      l ? n(0, e, r) : i === !0 && n(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), G(() => {
    t.value && n(1, e, r);
  }), Y(or, n);
}
let lr = Symbol("DescriptionContext");
function on() {
  let e = H(lr, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function ln({ slot: e = E({}), name: t = "Description", props: r = {} } = {}) {
  let a = E([]);
  function o(n) {
    return a.value.push(n), () => {
      let l = a.value.indexOf(n);
      l !== -1 && a.value.splice(l, 1);
    };
  }
  return Y(lr, { register: o, slot: e, name: t, props: r }), g(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
T({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${se()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = on();
  return O(() => G(a.register(e.id))), () => {
    let { name: o = "Description", slot: n = E({}), props: l = {} } = a, { id: i, ...s } = e, u = { ...Object.entries(l).reduce((d, [f, p]) => Object.assign(d, { [f]: y(p) }), {}), id: i };
    return z({ ourProps: u, theirProps: s, slot: n.value, attrs: t, slots: r, name: o });
  };
} });
function sn(e) {
  let t = yr(e.getSnapshot());
  return G(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function un(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(o) {
    return a.add(o), () => a.delete(o);
  }, dispatch(o, ...n) {
    let l = t[o].call(r, ...n);
    l && (r = l, a.forEach((i) => i()));
  } };
}
function cn() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, o = a.clientWidth - a.offsetWidth, n = e - o;
    r.style(a, "paddingRight", `${n}px`);
  } };
}
function dn() {
  if (!Qa())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function o(l) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(l));
    }
    if (window.getComputedStyle(t.documentElement).scrollBehavior !== "auto") {
      let l = Oe();
      l.style(t.documentElement, "scroll-behavior", "auto"), r.add(() => r.microTask(() => l.dispose()));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let n = null;
    r.addEventListener(t, "click", (l) => {
      if (l.target instanceof HTMLElement)
        try {
          let i = l.target.closest("a");
          if (!i)
            return;
          let { hash: s } = new URL(i.href), u = t.querySelector(s);
          u && !o(u) && (n = u);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (l) => {
      l.target instanceof HTMLElement && !o(l.target) && l.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), n && n.isConnected && (n.scrollIntoView({ block: "nearest" }), n = null);
    });
  } };
}
function fn() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function pn(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let ve = un(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: Oe(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: pn(r) }, o = [dn(), cn(), fn()];
  o.forEach(({ before: n }) => n == null ? void 0 : n(a)), o.forEach(({ after: n }) => n == null ? void 0 : n(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
ve.subscribe(() => {
  let e = ve.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", o = r.count !== 0;
    (o && !a || !o && a) && ve.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && ve.dispatch("TEARDOWN", r);
  }
});
function bn(e, t, r) {
  let a = sn(ve), o = g(() => {
    let n = e.value ? a.value.get(e.value) : void 0;
    return n ? n.count > 0 : !1;
  });
  return fe([e, t], ([n, l], [i], s) => {
    if (!n || !l)
      return;
    ve.dispatch("PUSH", n, r);
    let u = !1;
    s(() => {
      u || (ve.dispatch("POP", i ?? n, r), u = !0);
    });
  }, { immediate: !0 }), o;
}
function vn({ defaultContainers: e = [], portals: t, mainTreeNodeRef: r } = {}) {
  let a = E(null), o = ye(a);
  function n() {
    var l;
    let i = [];
    for (let s of e)
      s !== null && (s instanceof HTMLElement ? i.push(s) : "value" in s && s.value instanceof HTMLElement && i.push(s.value));
    if (t != null && t.value)
      for (let s of t.value)
        i.push(s);
    for (let s of (l = o == null ? void 0 : o.querySelectorAll("html > *, body > *")) != null ? l : [])
      s !== document.body && s !== document.head && s instanceof HTMLElement && s.id !== "headlessui-portal-root" && (s.contains($(a)) || i.some((u) => s.contains(u)) || i.push(s));
    return i;
  }
  return { resolveContainers: n, contains(l) {
    return n().some((i) => i.contains(l));
  }, mainTreeNodeRef: a, MainTreeNode() {
    return r != null ? null : B(Se, { features: Ae.Hidden, ref: a });
  } };
}
var mn = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(mn || {});
let dt = Symbol("DialogContext");
function qe(e) {
  let t = H(dt, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, qe), r;
  }
  return t;
}
let Ne = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", gn = T({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Ne }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${se()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: o }) {
  var n;
  let l = E(!1);
  O(() => {
    l.value = !0;
  });
  let i = E(0), s = ht(), u = g(() => e.open === Ne && s !== null ? (s.value & W.Open) === W.Open : e.open), d = E(null), f = g(() => ye(d));
  if (o({ el: d, $el: d }), !(e.open !== Ne || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof u.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${u.value === Ne ? void 0 : e.open}`);
  let p = g(() => l.value && u.value ? 0 : 1), w = g(() => p.value === 0), x = g(() => i.value > 1), b = H(dt, null) !== null, [v, C] = tn(), { resolveContainers: F, mainTreeNodeRef: N, MainTreeNode: R } = vn({ portals: v, defaultContainers: [g(() => {
    var _;
    return (_ = V.panelRef.value) != null ? _ : d.value;
  })] }), j = g(() => x.value ? "parent" : "leaf"), ne = g(() => s !== null ? (s.value & W.Closing) === W.Closing : !1), $e = g(() => b || ne.value ? !1 : w.value), Me = g(() => {
    var _, P, X;
    return (X = Array.from((P = (_ = f.value) == null ? void 0 : _.querySelectorAll("body > *")) != null ? P : []).find((J) => J.id === "headlessui-portal-root" ? !1 : J.contains($(N)) && J instanceof HTMLElement)) != null ? X : null;
  });
  Ft(Me, $e);
  let Ke = g(() => x.value ? !0 : w.value), Ye = g(() => {
    var _, P, X;
    return (X = Array.from((P = (_ = f.value) == null ? void 0 : _.querySelectorAll("[data-headlessui-portal]")) != null ? P : []).find((J) => J.contains($(N)) && J instanceof HTMLElement)) != null ? X : null;
  });
  Ft(Ye, Ke), nn({ type: "Dialog", enabled: g(() => p.value === 0), element: d, onUpdate: (_, P) => {
    if (P === "Dialog")
      return Q(_, { [ct.Add]: () => i.value += 1, [ct.Remove]: () => i.value -= 1 });
  } });
  let Xe = ln({ name: "DialogDescription", slot: g(() => ({ open: u.value })) }), he = E(null), V = { titleId: he, panelRef: E(null), dialogState: p, setTitleId(_) {
    he.value !== _ && (he.value = _);
  }, close() {
    t("close", !1);
  } };
  Y(dt, V);
  let Ce = g(() => !(!w.value || x.value));
  Va(F, (_, P) => {
    V.close(), hr(() => P == null ? void 0 : P.focus());
  }, Ce);
  let oe = g(() => !(x.value || p.value !== 0));
  Xt((n = f.value) == null ? void 0 : n.defaultView, "keydown", (_) => {
    oe.value && (_.defaultPrevented || _.key === K.Escape && (_.preventDefault(), _.stopPropagation(), V.close()));
  });
  let we = g(() => !(ne.value || p.value !== 0 || b));
  return bn(f, we, (_) => {
    var P;
    return { containers: [...(P = _.containers) != null ? P : [], F] };
  }), Z((_) => {
    if (p.value !== 0)
      return;
    let P = $(d);
    if (!P)
      return;
    let X = new ResizeObserver((J) => {
      for (let Ue of J) {
        let le = Ue.target.getBoundingClientRect();
        le.x === 0 && le.y === 0 && le.width === 0 && le.height === 0 && V.close();
      }
    });
    X.observe(P), _(() => X.disconnect());
  }), () => {
    let { id: _, open: P, initialFocus: X, ...J } = e, Ue = { ...r, ref: d, id: _, role: "dialog", "aria-modal": p.value === 0 ? !0 : void 0, "aria-labelledby": he.value, "aria-describedby": Xe.value }, le = { open: p.value === 0 };
    return B(st, { force: !0 }, () => [B(ar, () => B(rn, { target: d.value }, () => B(st, { force: !1 }, () => B(Le, { initialFocus: X, containers: F, features: w.value ? Q(j.value, { parent: Le.features.RestoreFocus, leaf: Le.features.All & ~Le.features.FocusLock }) : Le.features.None }, () => B(C, {}, () => z({ ourProps: Ue, theirProps: { ...J, ...r }, slot: le, attrs: r, slots: a, visible: p.value === 0, features: Te.RenderStrategy | Te.Static, name: "Dialog" })))))), B(R)]);
  };
} });
T({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${se()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = qe("DialogOverlay");
  function o(n) {
    n.target === n.currentTarget && (n.preventDefault(), n.stopPropagation(), a.close());
  }
  return () => {
    let { id: n, ...l } = e;
    return z({ ourProps: { id: n, "aria-hidden": !0, onClick: o }, theirProps: l, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
T({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${se()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = qe("DialogBackdrop"), n = E(null);
  return a({ el: n, $el: n }), O(() => {
    if (o.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: l, ...i } = e, s = { id: l, ref: n, "aria-hidden": !0 };
    return B(st, { force: !0 }, () => B(ar, () => z({ ourProps: s, theirProps: { ...t, ...i }, slot: { open: o.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let yn = T({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${se()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = qe("DialogPanel");
  a({ el: o.panelRef, $el: o.panelRef });
  function n(l) {
    l.stopPropagation();
  }
  return () => {
    let { id: l, ...i } = e, s = { id: l, ref: o.panelRef, onClick: n };
    return z({ ourProps: s, theirProps: i, slot: { open: o.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), hn = T({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${se()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = qe("DialogTitle");
  return O(() => {
    a.setTitleId(e.id), G(() => a.setTitleId(null));
  }), () => {
    let { id: o, ...n } = e;
    return z({ ourProps: { id: o }, theirProps: n, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} }), wn = T({ props: { onFocus: { type: Function, required: !0 } }, setup(e) {
  let t = E(!0);
  return () => t.value ? B(Se, { as: "button", type: "button", features: Ae.Focusable, onFocus(r) {
    r.preventDefault();
    let a, o = 50;
    function n() {
      var l;
      if (o-- <= 0) {
        a && cancelAnimationFrame(a);
        return;
      }
      if ((l = e.onFocus) != null && l.call(e)) {
        t.value = !1, cancelAnimationFrame(a);
        return;
      }
      a = requestAnimationFrame(n);
    }
    a = requestAnimationFrame(n);
  } }) : null;
} });
var xn = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(xn || {}), kn = ((e) => (e[e.Less = -1] = "Less", e[e.Equal = 0] = "Equal", e[e.Greater = 1] = "Greater", e))(kn || {});
let ir = Symbol("TabsContext");
function Pe(e) {
  let t = H(ir, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <TabGroup /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, Pe), r;
  }
  return t;
}
let wt = Symbol("TabsSSRContext"), En = T({ name: "TabGroup", emits: { change: (e) => !0 }, props: { as: { type: [Object, String], default: "template" }, selectedIndex: { type: [Number], default: null }, defaultIndex: { type: [Number], default: 0 }, vertical: { type: [Boolean], default: !1 }, manual: { type: [Boolean], default: !1 } }, inheritAttrs: !1, setup(e, { slots: t, attrs: r, emit: a }) {
  var o;
  let n = E((o = e.selectedIndex) != null ? o : e.defaultIndex), l = E([]), i = E([]), s = g(() => e.selectedIndex !== null), u = g(() => s.value ? e.selectedIndex : n.value);
  function d(b) {
    var v;
    let C = xe(f.tabs.value, $), F = xe(f.panels.value, $), N = C.filter((R) => {
      var j;
      return !((j = $(R)) != null && j.hasAttribute("disabled"));
    });
    if (b < 0 || b > C.length - 1) {
      let R = Q(n.value === null ? 0 : Math.sign(b - n.value), { [-1]: () => 1, 0: () => Q(Math.sign(b), { [-1]: () => 0, 0: () => 0, 1: () => 1 }), 1: () => 0 }), j = Q(R, { 0: () => C.indexOf(N[0]), 1: () => C.indexOf(N[N.length - 1]) });
      j !== -1 && (n.value = j), f.tabs.value = C, f.panels.value = F;
    } else {
      let R = C.slice(0, b), j = [...C.slice(b), ...R].find(($e) => N.includes($e));
      if (!j)
        return;
      let ne = (v = C.indexOf(j)) != null ? v : f.selectedIndex.value;
      ne === -1 && (ne = f.selectedIndex.value), n.value = ne, f.tabs.value = C, f.panels.value = F;
    }
  }
  let f = { selectedIndex: g(() => {
    var b, v;
    return (v = (b = n.value) != null ? b : e.defaultIndex) != null ? v : null;
  }), orientation: g(() => e.vertical ? "vertical" : "horizontal"), activation: g(() => e.manual ? "manual" : "auto"), tabs: l, panels: i, setSelectedIndex(b) {
    u.value !== b && a("change", b), s.value || d(b);
  }, registerTab(b) {
    var v;
    if (l.value.includes(b))
      return;
    let C = l.value[n.value];
    l.value.push(b), l.value = xe(l.value, $);
    let F = (v = l.value.indexOf(C)) != null ? v : n.value;
    F !== -1 && (n.value = F);
  }, unregisterTab(b) {
    let v = l.value.indexOf(b);
    v !== -1 && l.value.splice(v, 1);
  }, registerPanel(b) {
    i.value.includes(b) || (i.value.push(b), i.value = xe(i.value, $));
  }, unregisterPanel(b) {
    let v = i.value.indexOf(b);
    v !== -1 && i.value.splice(v, 1);
  } };
  Y(ir, f);
  let p = E({ tabs: [], panels: [] }), w = E(!1);
  O(() => {
    w.value = !0;
  }), Y(wt, g(() => w.value ? null : p.value));
  let x = g(() => e.selectedIndex);
  return O(() => {
    fe([x], () => {
      var b;
      return d((b = e.selectedIndex) != null ? b : e.defaultIndex);
    }, { immediate: !0 });
  }), Z(() => {
    if (!s.value || u.value == null || f.tabs.value.length <= 0)
      return;
    let b = xe(f.tabs.value, $);
    b.some((v, C) => $(f.tabs.value[C]) !== $(v)) && f.setSelectedIndex(b.findIndex((v) => $(v) === $(f.tabs.value[u.value])));
  }), () => {
    let b = { selectedIndex: n.value };
    return B(ee, [l.value.length <= 0 && B(wn, { onFocus: () => {
      for (let v of l.value) {
        let C = $(v);
        if ((C == null ? void 0 : C.tabIndex) === 0)
          return C.focus(), !0;
      }
      return !1;
    } }), z({ theirProps: { ...r, ...yt(e, ["selectedIndex", "defaultIndex", "manual", "vertical", "onChange"]) }, ourProps: {}, slot: b, slots: t, attrs: r, name: "TabGroup" })]);
  };
} }), Tn = T({ name: "TabList", props: { as: { type: [Object, String], default: "div" } }, setup(e, { attrs: t, slots: r }) {
  let a = Pe("TabList");
  return () => {
    let o = { selectedIndex: a.selectedIndex.value }, n = { role: "tablist", "aria-orientation": a.orientation.value };
    return z({ ourProps: n, theirProps: e, slot: o, attrs: t, slots: r, name: "TabList" });
  };
} }), $n = T({ name: "Tab", props: { as: { type: [Object, String], default: "button" }, disabled: { type: [Boolean], default: !1 }, id: { type: String, default: () => `headlessui-tabs-tab-${se()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Pe("Tab"), n = E(null);
  a({ el: n, $el: n }), O(() => o.registerTab(n)), G(() => o.unregisterTab(n));
  let l = H(wt), i = g(() => {
    if (l.value) {
      let v = l.value.tabs.indexOf(e.id);
      return v === -1 ? l.value.tabs.push(e.id) - 1 : v;
    }
    return -1;
  }), s = g(() => {
    let v = o.tabs.value.indexOf(n);
    return v === -1 ? i.value : v;
  }), u = g(() => s.value === o.selectedIndex.value);
  function d(v) {
    var C;
    let F = v();
    if (F === ke.Success && o.activation.value === "auto") {
      let N = (C = ye(n)) == null ? void 0 : C.activeElement, R = o.tabs.value.findIndex((j) => $(j) === N);
      R !== -1 && o.setSelectedIndex(R);
    }
    return F;
  }
  function f(v) {
    let C = o.tabs.value.map((F) => $(F)).filter(Boolean);
    if (v.key === K.Space || v.key === K.Enter) {
      v.preventDefault(), v.stopPropagation(), o.setSelectedIndex(s.value);
      return;
    }
    switch (v.key) {
      case K.Home:
      case K.PageUp:
        return v.preventDefault(), v.stopPropagation(), d(() => ae(C, M.First));
      case K.End:
      case K.PageDown:
        return v.preventDefault(), v.stopPropagation(), d(() => ae(C, M.Last));
    }
    if (d(() => Q(o.orientation.value, { vertical() {
      return v.key === K.ArrowUp ? ae(C, M.Previous | M.WrapAround) : v.key === K.ArrowDown ? ae(C, M.Next | M.WrapAround) : ke.Error;
    }, horizontal() {
      return v.key === K.ArrowLeft ? ae(C, M.Previous | M.WrapAround) : v.key === K.ArrowRight ? ae(C, M.Next | M.WrapAround) : ke.Error;
    } })) === ke.Success)
      return v.preventDefault();
  }
  let p = E(!1);
  function w() {
    var v;
    p.value || (p.value = !0, !e.disabled && ((v = $(n)) == null || v.focus({ preventScroll: !0 }), o.setSelectedIndex(s.value), Ze(() => {
      p.value = !1;
    })));
  }
  function x(v) {
    v.preventDefault();
  }
  let b = qa(g(() => ({ as: e.as, type: t.type })), n);
  return () => {
    var v;
    let C = { selected: u.value }, { id: F, ...N } = e, R = { ref: n, onKeydown: f, onMousedown: x, onClick: w, id: F, role: "tab", type: b.value, "aria-controls": (v = $(o.panels.value[s.value])) == null ? void 0 : v.id, "aria-selected": u.value, tabIndex: u.value ? 0 : -1, disabled: e.disabled ? !0 : void 0 };
    return z({ ourProps: R, theirProps: N, slot: C, attrs: t, slots: r, name: "Tab" });
  };
} }), Cn = T({ name: "TabPanels", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = Pe("TabPanels");
  return () => {
    let o = { selectedIndex: a.selectedIndex.value };
    return z({ theirProps: e, ourProps: {}, slot: o, attrs: r, slots: t, name: "TabPanels" });
  };
} }), Ln = T({ name: "TabPanel", props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, id: { type: String, default: () => `headlessui-tabs-panel-${se()}` }, tabIndex: { type: Number, default: 0 } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Pe("TabPanel"), n = E(null);
  a({ el: n, $el: n }), O(() => o.registerPanel(n)), G(() => o.unregisterPanel(n));
  let l = H(wt), i = g(() => {
    if (l.value) {
      let d = l.value.panels.indexOf(e.id);
      return d === -1 ? l.value.panels.push(e.id) - 1 : d;
    }
    return -1;
  }), s = g(() => {
    let d = o.panels.value.indexOf(n);
    return d === -1 ? i.value : d;
  }), u = g(() => s.value === o.selectedIndex.value);
  return () => {
    var d;
    let f = { selected: u.value }, { id: p, tabIndex: w, ...x } = e, b = { ref: n, id: p, role: "tabpanel", "aria-labelledby": (d = $(o.tabs.value[s.value])) == null ? void 0 : d.id, tabIndex: u.value ? w : -1 };
    return !u.value && e.unmount && !e.static ? B(Se, { as: "span", ...b }) : z({ ourProps: b, theirProps: x, slot: f, attrs: t, slots: r, features: Te.Static | Te.RenderStrategy, visible: u.value, name: "TabPanel" });
  };
} });
function _n(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function ot(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function Re(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var ft = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(ft || {});
function Fn(e, t) {
  let r = Oe();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: o } = getComputedStyle(e), [n, l] = [a, o].map((i) => {
    let [s = 0] = i.split(",").filter(Boolean).map((u) => u.includes("ms") ? parseFloat(u) : parseFloat(u) * 1e3).sort((u, d) => d - u);
    return s;
  });
  return n !== 0 ? r.setTimeout(() => t("finished"), n + l) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function At(e, t, r, a, o, n) {
  let l = Oe(), i = n !== void 0 ? _n(n) : () => {
  };
  return Re(e, ...o), ot(e, ...t, ...r), l.nextFrame(() => {
    Re(e, ...r), ot(e, ...a), l.add(Fn(e, (s) => (Re(e, ...a, ...t), ot(e, ...o), i(s))));
  }), l.add(() => Re(e, ...t, ...r, ...a, ...o)), l.add(() => i("cancelled")), l.dispose;
}
function pe(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let xt = Symbol("TransitionContext");
var An = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(An || {});
function Sn() {
  return H(xt, null) !== null;
}
function Dn() {
  let e = H(xt, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Bn() {
  let e = H(kt, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let kt = Symbol("NestingContext");
function Ge(e) {
  return "children" in e ? Ge(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function sr(e) {
  let t = E([]), r = E(!1);
  O(() => r.value = !0), G(() => r.value = !1);
  function a(n, l = de.Hidden) {
    let i = t.value.findIndex(({ id: s }) => s === n);
    i !== -1 && (Q(l, { [de.Unmount]() {
      t.value.splice(i, 1);
    }, [de.Hidden]() {
      t.value[i].state = "hidden";
    } }), !Ge(t) && r.value && (e == null || e()));
  }
  function o(n) {
    let l = t.value.find(({ id: i }) => i === n);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: n, state: "visible" }), () => a(n, de.Unmount);
  }
  return { children: t, register: o, unregister: a };
}
let ur = Te.RenderStrategy, pt = T({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: o }) {
  let n = E(0);
  function l() {
    n.value |= W.Opening, t("beforeEnter");
  }
  function i() {
    n.value &= ~W.Opening, t("afterEnter");
  }
  function s() {
    n.value |= W.Closing, t("beforeLeave");
  }
  function u() {
    n.value &= ~W.Closing, t("afterLeave");
  }
  if (!Sn() && Ba())
    return () => B(cr, { ...e, onBeforeEnter: l, onAfterEnter: i, onBeforeLeave: s, onAfterLeave: u }, a);
  let d = E(null), f = g(() => e.unmount ? de.Unmount : de.Hidden);
  o({ el: d, $el: d });
  let { show: p, appear: w } = Dn(), { register: x, unregister: b } = Bn(), v = E(p.value ? "visible" : "hidden"), C = { value: !0 }, F = se(), N = { value: !1 }, R = sr(() => {
    !N.value && v.value !== "hidden" && (v.value = "hidden", b(F), u());
  });
  O(() => {
    let V = x(F);
    G(V);
  }), Z(() => {
    if (f.value === de.Hidden && F) {
      if (p.value && v.value !== "visible") {
        v.value = "visible";
        return;
      }
      Q(v.value, { hidden: () => b(F), visible: () => x(F) });
    }
  });
  let j = pe(e.enter), ne = pe(e.enterFrom), $e = pe(e.enterTo), Me = pe(e.entered), Ke = pe(e.leave), Ye = pe(e.leaveFrom), Xe = pe(e.leaveTo);
  O(() => {
    Z(() => {
      if (v.value === "visible") {
        let V = $(d);
        if (V instanceof Comment && V.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function he(V) {
    let Ce = C.value && !w.value, oe = $(d);
    !oe || !(oe instanceof HTMLElement) || Ce || (N.value = !0, p.value && l(), p.value || s(), V(p.value ? At(oe, j, ne, $e, Me, (we) => {
      N.value = !1, we === ft.Finished && i();
    }) : At(oe, Ke, Ye, Xe, Me, (we) => {
      N.value = !1, we === ft.Finished && (Ge(R) || (v.value = "hidden", b(F), u()));
    })));
  }
  return O(() => {
    fe([p], (V, Ce, oe) => {
      he(oe), C.value = !1;
    }, { immediate: !0 });
  }), Y(kt, R), Oa(g(() => Q(v.value, { visible: W.Open, hidden: W.Closed }) | n.value)), () => {
    let { appear: V, show: Ce, enter: oe, enterFrom: we, enterTo: _, entered: P, leave: X, leaveFrom: J, leaveTo: Ue, ...le } = e, dr = { ref: d }, fr = { ...le, ...w.value && p.value && Be.isServer ? { class: D([r.class, le.class, ...j, ...ne]) } : {} };
    return z({ theirProps: fr, ourProps: dr, slot: {}, slots: a, attrs: r, features: ur, visible: v.value === "visible", name: "TransitionChild" });
  };
} }), On = pt, cr = T({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let o = ht(), n = g(() => e.show === null && o !== null ? (o.value & W.Open) === W.Open : e.show);
  Z(() => {
    if (![!0, !1].includes(n.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = E(n.value ? "visible" : "hidden"), i = sr(() => {
    l.value = "hidden";
  }), s = E(!0), u = { show: n, appear: g(() => e.appear || !s.value) };
  return O(() => {
    Z(() => {
      s.value = !1, n.value ? l.value = "visible" : Ge(i) || (l.value = "hidden");
    });
  }), Y(kt, i), Y(xt, u), () => {
    let d = yt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), f = { unmount: e.unmount };
    return z({ ourProps: { ...f, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [B(On, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...f, ...d }, a.default)] }, attrs: {}, features: ur, visible: l.value === "visible", name: "Transition" });
  };
} });
const qn = { class: "flex h-screen w-screen items-center justify-center overflow-hidden" }, Pn = /* @__PURE__ */ h("div", { class: "bcc-modal-overlay" }, null, -1), Mn = { class: "bcc-modal-wrapper" }, Un = {
  key: 0,
  class: "bcc-modal-header"
}, zn = {
  key: 1,
  class: "bcc-modal-body"
}, In = {
  key: 0,
  class: "bcc-modal-title"
}, Nn = { class: "bcc-modal-content" }, Rn = { class: "bcc-modal-footer" }, jn = {
  key: 0,
  class: "bcc-modal-footer-content"
}, Hn = { class: "bcc-modal-actions" }, Vn = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, Qn = { class: "bcc-modal-primary-action" }, Oo = /* @__PURE__ */ T({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = St(), o = g(() => r.closeButton && !a.header);
    return (n, l) => (c(), L(y(cr), {
      as: "template",
      show: n.open
    }, {
      default: S(() => [
        U(y(gn), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l[2] || (l[2] = (i) => t("close"))
        }, {
          default: S(() => [
            h("div", qn, [
              U(y(pt), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: S(() => [
                  Pn
                ]),
                _: 1
              }),
              U(y(pt), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: S(() => [
                  h("div", Mn, [
                    U(y(yn), ge({ class: "bcc-modal" }, n.$attrs), {
                      default: S(() => [
                        n.$slots.header ? (c(), m("div", Un, [
                          I(n.$slots, "header")
                        ])) : k("", !0),
                        n.title || o.value || y(a).default ? (c(), m("div", zn, [
                          n.title || o.value ? (c(), m("div", In, [
                            U(y(hn), { as: "h3" }, {
                              default: S(() => [
                                re(q(n.title), 1)
                              ]),
                              _: 1
                            }),
                            o.value ? (c(), m("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = bt((i) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              U(y(De), { class: "bcc-modal-close-icon" })
                            ])) : k("", !0)
                          ])) : k("", !0),
                          h("div", Nn, [
                            I(n.$slots, "default")
                          ])
                        ])) : k("", !0),
                        h("div", Rn, [
                          n.$slots.footer ? (c(), m("div", jn, [
                            I(n.$slots, "footer")
                          ])) : k("", !0),
                          h("div", Hn, [
                            n.$slots.secondaryAction ? (c(), m("div", Vn, [
                              I(n.$slots, "secondaryAction")
                            ])) : k("", !0),
                            h("div", Qn, [
                              I(n.$slots, "primaryAction", {}, () => [
                                U(He, {
                                  onClick: l[1] || (l[1] = (i) => t("close"))
                                }, {
                                  default: S(() => [
                                    re(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), Wn = { key: 1 }, Zn = /* @__PURE__ */ T({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (c(), m("div", {
      class: D(["bcc-pin", {
        "bcc-pin-text": !t.icon,
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), L(te(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (c(), m("span", Wn, q(t.text), 1)) : k("", !0)
    ], 2));
  }
}), Gn = ["disabled", "value", "checked"], Kn = {
  inheritAttrs: !1
}, qo = /* @__PURE__ */ T({
  ...Kn,
  __name: "BccRadio",
  props: {
    modelValue: {},
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-radio-${We()}`, { attrs: o, attrsWithoutStyles: n } = Qe(), l = g(() => {
      const i = [];
      return r.disabled && i.push("bcc-radio-wrapper-disabled"), o.class && i.push(o.class), i;
    });
    return (i, s) => (c(), m("div", {
      class: D(["bcc-radio-wrapper", l.value]),
      style: Ve(i.$attrs.style)
    }, [
      h("input", ge({
        type: "radio",
        class: "bcc-radio",
        id: a,
        disabled: i.disabled,
        value: i.value,
        checked: i.modelValue == i.value,
        onInput: s[0] || (s[0] = (u) => t("update:modelValue", i.value))
      }, y(n)), null, 16, Gn),
      i.label ? (c(), m("label", {
        key: 0,
        for: a
      }, q(i.label), 1)) : k("", !0)
    ], 6));
  }
}), Yn = ["value", "disabled", "required"], Xn = {
  inheritAttrs: !1
}, Po = /* @__PURE__ */ T({
  ...Xn,
  __name: "BccSelect",
  props: {
    modelValue: {},
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-input-${We()}`, o = g(() => r.showOptionalLabel && !r.required), { attrsWithoutStyles: n } = Qe();
    return (l, i) => (c(), m("div", {
      class: D(["bcc-input-container", l.$attrs.class]),
      style: Ve(l.$attrs.style)
    }, [
      l.label || o.value ? (c(), L(Vt, {
        key: 0,
        for: a,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: o.value,
        optionalLabel: l.optionalLabel
      }, {
        default: S(() => [
          re(q(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : k("", !0),
      h("select", ge({
        class: ["bcc-select", {
          "bcc-select-error": l.state === "error",
          "bcc-select-success": l.state === "success",
          "bcc-select-sm": l.size === "sm",
          "bcc-select-lg": l.size === "lg"
        }],
        id: a,
        value: l.modelValue,
        disabled: l.disabled,
        required: l.required,
        onInput: i[0] || (i[0] = (s) => t("update:modelValue", s.target.value))
      }, y(n)), [
        I(l.$slots, "default")
      ], 16, Yn),
      l.$slots.message ? (c(), L(Qt, {
        key: 1,
        state: l.state
      }, {
        default: S(() => [
          I(l.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : k("", !0)
    ], 6));
  }
}), Mo = /* @__PURE__ */ T({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (c(), m("div", {
      class: D(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (c(), L(te(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (c(), L(y(ra), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (c(), L(y(Ht), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (c(), L(y(ea), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : k("", !0)
    ], 2));
  }
}), Jn = { class: "bcc-table-wrapper" }, eo = { class: "bcc-table" }, to = { class: "bcc-table-header-row" }, ro = ["onClick"], ao = { class: "bcc-table-header-content" }, no = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, oo = { key: 1 }, lo = /* @__PURE__ */ h("td", null, null, -1), Uo = /* @__PURE__ */ T({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const r = e, { columns: a, items: o, sortBy: n, sortDirection: l } = vt(r);
    function i(d, f) {
      return f.split(".").reduce((w, x) => w[x], d);
    }
    const s = g(() => {
      if ((n == null ? void 0 : n.value) == null)
        return o.value;
      const d = a.value.find((p) => p.key == n.value);
      if (!d)
        throw "Sorting by unknown column";
      const f = [...o.value];
      return d.sortMethod ? f.sort(d.sortMethod) : f.sort((p, w) => {
        const x = i(p, d.key), b = i(w, d.key);
        return x < b ? l.value == "descending" ? 1 : -1 : x > b ? l.value == "descending" ? -1 : 1 : 0;
      });
    });
    function u(d) {
      if (d.sortable !== !1) {
        if ((n == null ? void 0 : n.value) == d.key && l.value === "descending") {
          t("update:sortDirection", "descending"), t("update:sortBy", void 0);
          return;
        }
        if ((n == null ? void 0 : n.value) == d.key) {
          t("update:sortDirection", "descending");
          return;
        }
        t("update:sortDirection", "ascending"), t("update:sortBy", d.key);
      }
    }
    return (d, f) => (c(), m("div", Jn, [
      h("table", eo, [
        h("thead", null, [
          h("tr", to, [
            (c(!0), m(ee, null, Ee(y(a), (p) => (c(), m("th", {
              class: D(["bcc-table-header", { "bcc-table-header-sortable": p.sortable !== !1 }]),
              key: p.key,
              onClick: (w) => u(p)
            }, [
              h("div", ao, [
                re(q(p.text) + " ", 1),
                p.sortable !== !1 ? (c(), m("button", no, [
                  y(n) !== p.key ? (c(), L(y(aa), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : k("", !0),
                  y(n) == p.key && y(l) == "ascending" ? (c(), L(y(Kr), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : k("", !0),
                  y(n) == p.key && y(l) == "descending" ? (c(), L(y(Gr), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : k("", !0)
                ])) : k("", !0)
              ])
            ], 10, ro))), 128))
          ])
        ]),
        h("tbody", null, [
          (c(!0), m(ee, null, Ee(s.value, (p, w) => (c(), m("tr", { key: w }, [
            (c(!0), m(ee, null, Ee(y(a), (x) => (c(), m("td", {
              class: "bcc-table-cell",
              key: x.key
            }, [
              d.$slots[`item.${x.key}`] ? I(d.$slots, `item.${x.key}`, {
                key: 0,
                item: p
              }) : (c(), m("span", oo, q(i(p, x.key)), 1))
            ]))), 128)),
            lo
          ]))), 128))
        ])
      ])
    ]));
  }
}), io = {
  key: 0,
  class: "bcc-tabs-bar-icon"
}, zo = /* @__PURE__ */ T({
  __name: "BccTabs",
  props: {
    tabs: {},
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      sm: "bcc-tabs-sm text-label-small",
      base: "text-label-base",
      lg: "bcc-tabs-lg text-label-medium"
    };
    return (r, a) => (c(), L(y(En), {
      as: "div",
      class: "bcc-tabs"
    }, {
      default: S(() => [
        U(y(Tn), {
          as: "div",
          class: D(["bcc-tabs-bar", `bcc-tabs-bar--${r.tabs.length}`])
        }, {
          default: S(() => [
            (c(!0), m(ee, null, Ee(r.tabs, (o, n) => (c(), L(y($n), {
              disabled: !!o.disabled,
              key: n,
              as: "template"
            }, {
              default: S(({ selected: l }) => [
                h("div", {
                  class: D(["bcc-tabs-bar-item", [
                    {
                      "bcc-tabs-bar-item--active": l,
                      "bcc-tabs-bar-item--disabled": !!o.disabled
                    },
                    t[r.size]
                  ]])
                }, [
                  o.icon ? (c(), m("div", io, [
                    (c(), L(te(o.icon)))
                  ])) : k("", !0),
                  re(" " + q(o.title) + " ", 1),
                  o.pin ? (c(), L(y(Zn), ge({
                    key: 1,
                    class: "bcc-tabs-item-right"
                  }, o.pin), null, 16)) : k("", !0),
                  o.badge ? (c(), L(y(ua), ge({
                    key: 2,
                    class: "bcc-tabs-item-right"
                  }, o.badge), {
                    default: S(() => [
                      re(q(o.badge.text), 1)
                    ]),
                    _: 2
                  }, 1040)) : k("", !0)
                ], 2)
              ]),
              _: 2
            }, 1032, ["disabled"]))), 128))
          ]),
          _: 1
        }, 8, ["class"]),
        U(y(Cn), null, {
          default: S(() => [
            (c(!0), m(ee, null, Ee(r.tabs, (o, n) => (c(), L(y(Ln), {
              key: `tab-${n + 1}`
            }, {
              default: S(() => [
                I(r.$slots, `tab-${n + 1}`, { tab: o }, () => [
                  o.as ? (c(), L(te(o.as), { key: 0 })) : k("", !0)
                ])
              ]),
              _: 2
            }, 1024))), 128))
          ]),
          _: 3
        })
      ]),
      _: 3
    }));
  }
}), so = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, o] of t)
    r[a] = o;
  return r;
}, uo = {}, co = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, fo = /* @__PURE__ */ wr('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), po = [
  fo
];
function bo(e, t) {
  return c(), m("svg", co, po);
}
const vo = /* @__PURE__ */ so(uo, [["render", bo]]), mo = ["disabled"], go = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, yo = {
  key: 0,
  class: "bcc-toggle-label"
}, Io = /* @__PURE__ */ T({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: o, disabled: n, loading: l } = vt(r), i = g({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, u) => (c(), m("label", {
      class: D(["bcc-toggle", { "bcc-toggle-was-toggled": y(o) }])
    }, [
      Dt(h("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: y(l) || y(n),
        "onUpdate:modelValue": u[0] || (u[0] = (d) => i.value = d)
      }, null, 8, mo), [
        [Bt, i.value]
      ]),
      h("span", go, [
        y(l) ? (c(), L(vo, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (c(), m(ee, { key: 1 }, [
          U(y(Ht), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          U(y(De), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : k("", !0)
      ]),
      s.label ? (c(), m("span", yo, q(s.label), 1)) : k("", !0)
    ], 2));
  }
}), ho = {
  key: 0,
  class: "bcc-banner"
}, wo = { class: "bcc-banner-header" }, xo = { class: "bcc-banner-title" }, ko = {
  key: 0,
  class: "bcc-banner-actions"
}, No = /* @__PURE__ */ T({
  __name: "BccBanner",
  props: {
    title: {},
    variant: { default: "default" },
    icon: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnAction: { type: Boolean, default: !0 },
    actions: {},
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = {
      default: "bcc-banner-default",
      notification: "bcc-banner-notification"
    };
    function o(n) {
      n.onClick && n.onClick(), r.closeOnAction && t("close", n);
    }
    return (n, l) => (c(), L(je, { name: "bcc-close" }, {
      default: S(() => [
        n.open ? (c(), m("div", ho, [
          h("div", wo, [
            n.icon ? (c(), L(te(n.icon), {
              key: 0,
              class: "bcc-banner-icon"
            })) : k("", !0),
            h("h5", xo, q(n.title), 1),
            n.closeButton ? (c(), m("button", {
              key: 1,
              onClick: l[0] || (l[0] = bt((i) => t("close"), ["prevent"])),
              "aria-label": "Close banner",
              class: "bcc-banner-close-button"
            }, [
              U(y(De), { class: "bcc-banner-close-icon" })
            ])) : k("", !0)
          ]),
          h("div", {
            class: D(a[n.variant])
          }, [
            I(n.$slots, "default"),
            n.actions && n.actions.length ? (c(), m("div", ko, [
              (c(!0), m(ee, null, Ee(n.actions, (i, s) => (c(), L(He, {
                key: s,
                icon: i.icon,
                "icon-right": "",
                size: "sm",
                variant: n.variant === "notification" ? "tertiary" : "secondary",
                onClick: (u) => o(i)
              }, {
                default: S(() => [
                  re(q(i.label), 1)
                ]),
                _: 2
              }, 1032, ["icon", "variant", "onClick"]))), 128))
            ])) : k("", !0)
          ], 2)
        ])) : k("", !0)
      ]),
      _: 3
    }));
  }
}), Eo = /* @__PURE__ */ h("path", {
  d: "M100 50C100 77.6142 77.6142 100 50 100C22.3858 100 0 77.6142 0 50C0 22.3858 22.3858 0 50 0C77.6142 0 100 22.3858 100 50ZM9.08144 50C9.08144 72.5987 27.4013 90.9186 50 90.9186C72.5987 90.9186 90.9186 72.5987 90.9186 50C90.9186 27.4013 72.5987 9.08144 50 9.08144C27.4013 9.08144 9.08144 27.4013 9.08144 50Z",
  fill: "currentColor",
  class: "bcc-spinner-circle"
}, null, -1), To = /* @__PURE__ */ h("path", {
  d: "M93.9676 38.4501C96.393 37.813 97.8624 35.3208 97.0079 32.9631C95.2932 28.2319 92.871 23.7784 89.8167 19.7572C85.8452 14.5284 80.8826 10.133 75.2124 6.82206C69.5422 3.51112 63.2754 1.34943 56.7698 0.460415C51.7666 -0.223279 46.6976 -0.143977 41.7345 0.687907C39.2613 1.10246 37.813 3.60696 38.4501 6.03244C39.0873 8.45792 41.5694 9.8809 44.0505 9.51628C47.8511 8.95773 51.7191 8.93607 55.5402 9.45823C60.8642 10.1858 65.9928 11.9548 70.6331 14.6644C75.2735 17.374 79.3347 20.971 82.5849 25.2501C84.9175 28.3212 86.7997 31.7005 88.1811 35.285C89.083 37.625 91.5421 39.0873 93.9676 38.4501Z",
  fill: "currentColor",
  class: "bcc-spinner-progress"
}, null, -1), Ro = /* @__PURE__ */ T({
  __name: "BccSpinner",
  props: {
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      xs: "bcc-spinner-xs",
      sm: "bcc-spinner-sm",
      base: "bcc-spinner-base",
      lg: "bcc-spinner-lg",
      xl: "bcc-spinner-xl"
    };
    return (r, a) => (c(), m("svg", {
      class: D([[t[r.size]], "bcc-spinner"]),
      xmlns: "http://www.w3.org/2000/svg",
      width: "100",
      height: "100",
      viewBox: "0 0 100 100",
      fill: "none"
    }, [
      re(" > "),
      Eo,
      To
    ], 2));
  }
});
export {
  _o as BccAlert,
  Fo as BccAvatar,
  ua as BccBadge,
  No as BccBanner,
  He as BccButton,
  Ao as BccCapacityIndicator,
  So as BccCheckbox,
  Do as BccCookieBanner,
  Vt as BccFormLabel,
  Qt as BccFormMessage,
  Bo as BccInput,
  Oo as BccModal,
  Zn as BccPin,
  qo as BccRadio,
  Po as BccSelect,
  Ro as BccSpinner,
  Mo as BccStatusIndicator,
  Uo as BccTable,
  zo as BccTabs,
  Io as BccToggle,
  Lo as bccForbundetTheme,
  Co as tailwindPlugin,
  Ct as useAnimatedNumber
};
